> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create deposit addresses

> Create deposit addresses for bridging assets into Polymarket.



## OpenAPI

````yaml openapi/polymarket-bridge.json POST /apis/v1/polymarket/deposit
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Bridge
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deposit
    - /apis/v1/polymarket/quote
    - /apis/v1/polymarket/status/{address}
    - /apis/v1/polymarket/supported-assets
    - /apis/v1/polymarket/withdraw
  x-aisa-document:
    facts_hash: 2086e30aaacbdf046a1028dc02ae4ed4958ee132ea224144dc1e956945c61119
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:a22669af750e793690ca9b6ba1c73d040b9af5d18c6207e9282cf0f95572ce64
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-bridge
  x-aisa-catalogs:
    polymarket-bridge:
      title: Polymarket Bridge
      description: ''
      x-aisa-document:
        facts_hash: 2086e30aaacbdf046a1028dc02ae4ed4958ee132ea224144dc1e956945c61119
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/deposit:
    post:
      tags:
        - default
      summary: Create deposit addresses
      description: Create deposit addresses for bridging assets into Polymarket.
      operationId: any_polymarket_bridge_apis_v1_polymarket_deposit
      parameters:
        - name: X-Builder-Code
          in: header
          required: false
          description: >
            Optional builder code (bytes32 hex) attributing this request to your
            integration so transfer issues can be traced to your app. Omitting
            it still succeeds but returns a `missing_builder_code` warning; a
            malformed code returns 400. Get your code at
            https://polymarket.com/settings?tab=builder
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{64}$
            example: '0x00000000000000000000000000000000000000000000000000000000abcd1234'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - address
              properties:
                address:
                  type: string
                  description: Ethereum address (0x-prefixed, 40 hex chars)
                  pattern: ^0x[a-fA-F0-9]{40}$
                  example: '0x56687bf447db6ffa42ffe2204a05edaa20f55839'
            example:
              address: '0x56687bf447db6ffa42ffe2204a05edaa20f55839'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response7A88Af0Ff8Eb_DepositResponse'
          description: Bridge addresses created successfully
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response7A88Af0Ff8Eb_DepositResponse:
      type: object
      properties:
        address:
          type: object
          description: Bridge addresses for different blockchain networks
          properties:
            evm:
              type: string
              description: >-
                EVM-compatible bridge address (Ethereum, Polygon, Arbitrum,
                Base, etc.)
              example: '0x23566f8b2E82aDfCf01846E54899d110e97AC053'
            svm:
              type: string
              description: Solana Virtual Machine bridge address
              example: CrvTBvzryYxBHbWu2TiQpcqD5M7Le7iBKzVmEj3f36Jb
            btc:
              type: string
              description: Bitcoin bridge address
              example: bc1q8eau83qffxcj8ht4hsjdza3lha9r3egfqysj3g
            tron:
              type: string
              description: Tron bridge address
        note:
          type: string
          description: Additional information about the bridge addresses
          example: >-
            Only certain chains and tokens are supported. See /supported-assets
            for details.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.